Last Comment Bug 770141 - xpcom/tests/windows/TestRegistrationOrder.cpp fails with Pymake
: xpcom/tests/windows/TestRegistrationOrder.cpp fails with Pymake
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla17
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on:
Blocks: 593585
  Show dependency treegraph
 
Reported: 2012-07-02 05:34 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2012-07-26 05:11 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
workaround (685 bytes, patch)
2012-07-02 05:34 PDT, Siddharth Agarwal [:sid0] (inactive)
khuey: review-
Details | Diff | Splinter Review
sidestep the issue (1.88 KB, patch)
2012-07-20 13:23 PDT, Siddharth Agarwal [:sid0] (inactive)
benjamin: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-07-02 05:34:50 PDT
Created attachment 638321 [details] [diff] [review]
workaround

AFAIK it's because Pymake doesn't match GNU make when it comes to backslash-escaping rules. Attached is a workaround, and I'll file a bug against Pymake shortly.
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2012-07-02 07:42:58 PDT
See bug 770181 for the backslash escape bug.
Comment 2 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-07-06 11:31:12 PDT
Can we just fix bug 770181?
Comment 3 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2012-07-20 07:00:21 PDT
Comment on attachment 638321 [details] [diff] [review]
workaround

Lets just fix pymake.
Comment 4 Siddharth Agarwal [:sid0] (inactive) 2012-07-20 13:23:23 PDT
Created attachment 644443 [details] [diff] [review]
sidestep the issue

This is really unfortunate, but I don't know how we could possibly work with backslashes in pymake shells. See bug 770181 comment 3.

That is, unless you think replacing all \ with \\ wouldn't cause problems. I haven't managed to convince myself of that yet.
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2012-07-24 12:04:42 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/ac2d2c7ccb1b

Bug 770181 will cover attempts to work around or fix the core issue.
Comment 6 Matt Brubeck (:mbrubeck) 2012-07-24 15:09:35 PDT
Sorry, I backed this out on inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4f4f8e1167c9

because of these test failures that appeared after it landed:
https://tbpl.mozilla.org/php/getParsedLog.php?id=13814927&tree=Mozilla-Inbound
Running RegistrationOrder tests...
TEST-UNEXPECTED-FAIL | TestRegular FAILED - cannot create core service
TEST-UNEXPECTED-FAIL | TestJar FAILED - cannot create core service
TEST-UNEXPECTED-FAIL | RegTestOrderC: contract not registered
Finished running RegistrationOrder tests.

Since we didn't get a full set of builds on every push, we don't know for sure that this bug caused the test failures; if it was backed out incorrectly then I will re-land it.
Comment 7 Siddharth Agarwal [:sid0] (inactive) 2012-07-25 10:21:09 PDT
Off by one error, fixed and pushed: http://hg.mozilla.org/integration/mozilla-inbound/rev/c554e44df724

(I didn't ask for another review because it was a trivial test-only change)
Comment 8 Ed Morley [:emorley] 2012-07-26 05:11:46 PDT
https://hg.mozilla.org/mozilla-central/rev/c554e44df724

Note You need to log in before you can comment on or make changes to this bug.